Subject: [3.0.x] Regression: Compilation error involving strings

From: Erik Dominikus <[email-masked]>
Date: Fri, 11 Sep 2020 15:31:24 +0700

Dear author(s) of the Guile 3.0.x compiler,

Background: I would like to report a problem that I found while trying
to write a simple web server with get-string-n, sxml simple, and web
server.

I have traced and reduced the problem into the minimal example below.

Some tested versions:
- affected: 3.0.2 and 3.0.4
- not affected: 2.0.13

How to reproduce:
- Download the attached compile-error.scm into your working directory.
- Run in Bash: GUILE_AUTO_COMPILE=0 guile -s compile-error.scm

Expected result: #t

Actual result: #f

Thank you.

Best regards,

Erik